proc report data=sashelp.SNACKS(where=(date<"05Jan2002"d)) split='#';label price="Price";
column  Product  date  ("Sales Details" QtySold Price Sales Holiday Advertised);
define Product/order "Product#Name" ;
define Holiday/display "Holiday#(1=yes)";
define Advertised/display "Advertised#(1=yes)";
define date/display "Date# of sale" format=WEEKDATE17.;
define QtySold/ "Quantity#Sold";
define price/mean;

define sales/computed f=dollar20.2;
compute sales;sales=qtysold.sum*price.mean;endcomp;
compute before product;line product $20. "has total sales of "  sales dollar20.2;endcomp;
run;





