proc report data=sashelp.SNACKS(where=(date>"30Aug2004"d) obs=5) split='#';
label price="Price";
column Product date  ("Sales Details" QtySold Price Holiday Advertised ) ;
define Product/order "Product#Name";
define Holiday/display "Holiday#(1=yes)";
define Advertised/display "Advertised#(1=yes)";
define date/display "Date# of sale" format=WEEKDATE17.;
define QtySold/display "Quantity#Sold";
run;



/*alternative*/
proc print data=sashelp.SNACKS(where=(date>"30Aug2004"d) obs=5);run;
proc print data=sashelp.SNACKS(where=(date>"30Aug2004"d) obs=5 ) split='#';
var date  QtySold Price Holiday Advertised;
label product="Product#Name" QtySold="Quantity#Sold" price="Price" date="Date# of sale";
format date  WEEKDATE17.;
id product;by product ;
run;

